MediaWiki:Mobile.css: различия между версиями

Перевод из WARPFROG
Перейти к навигации Перейти к поиску
(Новая страница: «→‎CSS placed here will affect users of the mobile site: #button { display: inline-block; background-color: #FF9800; width: 50px; height: 50px; text-...»)
 
 
(не показано 5 промежуточных версий 2 участников)
Строка 1: Строка 1:
 
/* CSS placed here will affect users of the mobile site */
 
/* CSS placed here will affect users of the mobile site */
 
+
.toc-mobile{
 +
  display:table;
 +
  visibility:visible;
 +
  position:relative;
 +
/*  font-size:1.3em;*/
 +
  margin:1em 0;
 +
  border:solid 1px transparent
 +
}
 
#button {
 
#button {
 
   display: inline-block;
 
   display: inline-block;
   background-color: #FF9800;
+
   background-color: #262626;
 
   width: 50px;
 
   width: 50px;
 
   height: 50px;
 
   height: 50px;
Строка 36: Строка 43:
 
   opacity: 1;
 
   opacity: 1;
 
   visibility: visible;
 
   visibility: visible;
}
 
 
/* Styles for the content section */
 
 
.content {
 
  width: 77%;
 
  margin: 50px auto;
 
  font-family: 'Merriweather', serif;
 
  font-size: 17px;
 
  color: #6c767a;
 
  line-height: 1.9;
 
}
 
@media (min-width: 500px) {
 
  .content {
 
    width: 43%;
 
  }
 
  #button {
 
    margin: 30px;
 
  }
 
}
 
.content h1 {
 
  margin-bottom: -10px;
 
  color: #03a9f4;
 
  line-height: 1.5;
 
}
 
.content h3 {
 
  font-style: italic;
 
  color: #96a2a7;
 
 
}
 
}

Текущая версия на 11:42, 27 декабря 2023

/* CSS placed here will affect users of the mobile site */
.toc-mobile{
  display:table;
  visibility:visible;
  position:relative;
/*  font-size:1.3em;*/
  margin:1em 0;
  border:solid 1px transparent
}
#button {
  display: inline-block;
  background-color: #262626;
  width: 50px;
  height: 50px;
  text-align: center;
  border-radius: 4px;
  position: fixed;
  bottom: 30px;
  right: 30px;
  transition: background-color .3s, 
    opacity .5s, visibility .5s;
  opacity: 0;
  visibility: hidden;
  z-index: 1000;
}
#button::after {
  content: "\f077";
  font-family: FontAwesome;
  font-weight: normal;
  font-style: normal;
  font-size: 2em;
  line-height: 50px;
  color: #fff;
}
#button:hover {
  cursor: pointer;
  background-color: #333;
}
#button:active {
  background-color: #555;
}
#button.show {
  opacity: 1;
  visibility: visible;
}